#!/bin/bash


NAMESPACE=$(cat namespace)
~/Workspace/MyKubernetesEnv/tools/create-namespace.sh $NAMESPACE

./roll-db-credential.sh

kubectl -f install.yml -n $NAMESPACE apply

. ./ENV
kubectl create secret generic levelmetering-mqtt-cred \
  --dry-run=client \
  -o yaml \
  --save-config \
  --from-literal=MQTT_PASSWORD="$MQTT_PASSWORD" | \
kubectl apply -f - -n $NAMESPACE

